<?php
#
# $Id: iprange.php,v 1.0.1.0 2007/05/30 08:00:00 max Exp $
#

$ip_addr = $_SERVER['REMOTE_ADDR'];
$ip_country = func_query_first_cell ("SELECT iso2 FROM $sql_tbl[ip_ranges] WHERE $sql_tbl[ip_ranges].start <= INET_ATON('$ip_addr') AND $sql_tbl[ip_ranges].end >= INET_ATON('$ip_addr') LIMIT 1");

if (!empty($ip_country))
	$config["General"]["default_country"] = $ip_country;

if (defined('IS_ROBOT')) {
	# Set a language for robots depending of a domain
	$ip_country = strtolower(substr($xcart_http_host, -2));
	$ip_language = func_query_first_cell ("SELECT language FROM $sql_tbl[country_languages] WHERE code = '$ip_country' LIMIT 1");
	if (!empty($ip_language)) {
		$config["default_customer_language"] = $ip_language;
		$store_language = $ip_language;
	}
	# Set a currency for robots depending of a domain
	if ($active_modules.Multi_Currency) {
		$ip_currency = func_query_first_cell ("SELECT code FROM $sql_tbl[country_currencies] WHERE country_code = '$ip_country' LIMIT 1");
		if (!empty($ip_currency)) {
			$shop_currency = $ip_currency;
		}
	}
	# Do not log visitors with the same ip address in the last hour
	$then = time()-3600;
	$ip_today = func_query_first_cell ("SELECT count(ip) AS ip FROM $sql_tbl[stats_robots] WHERE ip='$ip_addr' AND date >= ".$then." LIMIT 1");
	$robot_name = ROBOT;
	if ($ip_today == 0)
		db_query ("INSERT INTO $sql_tbl[stats_robots] (date, country, ip, language, http_host, name) VALUES (".time().", '$ip_country', '$ip_addr', '$ip_language', '$xcart_http_host', '$robot_name')");
}
else {
	if (@$HTTP_COOKIE_VARS["store_language"] == '' && !defined('NOCOOKIE')) {
		$ip_language = func_query_first_cell ("SELECT $sql_tbl[country_languages].language FROM $sql_tbl[ip_ranges] INNER JOIN $sql_tbl[country_languages] ON $sql_tbl[ip_ranges].iso2 = $sql_tbl[country_languages].code WHERE $sql_tbl[ip_ranges].start <= INET_ATON('$ip_addr') AND $sql_tbl[ip_ranges].end >= INET_ATON('$ip_addr') LIMIT 1");

		$host_country = strtolower(substr($xcart_http_host, -2));
		# if you have a multidomain web site and you want to determine language by entering different domain, not by ip address
		# uncomment next 3 lines and add domains you own. The example is showing a multilanguage site with "it", "fr", "de" and "at" domains,
		# for example www.mydomain.at, www.mydomain.de etc.
#		if ($host_country == 'it' || $host_country == 'fr' || $host_country == 'de' || $host_country == 'at') {
#			$ip_language = func_query_first_cell ("SELECT language FROM $sql_tbl[country_languages] WHERE code = '$host_country' LIMIT 1");
#		}

		if (!empty($ip_language)) {
			$config["default_customer_language"] = $ip_language;
			$store_language = $ip_language;
			setcookie ("store_language", "", time()-31536000);
			setcookie ("store_language", $store_language, time()+31536000); # for one year
		}
		# Do not log visitors with the same ip address in the last hour
		$then = time()-3600;
		$ip_today = func_query_first_cell ("SELECT count(ip) AS ip FROM $sql_tbl[stats_country_visitors] WHERE ip='$ip_addr' AND date >= ".$then." LIMIT 1");
		if ($ip_today == 0)
			db_query ("INSERT INTO $sql_tbl[stats_country_visitors] (date, country, ip, language) VALUES (".time().", '$ip_country', '$ip_addr', '$ip_language')");
	}
}

if (!empty($HTTP_GET_VARS["sl"])) {
	$store_language = $HTTP_GET_VARS["sl"];
	db_query ("UPDATE $sql_tbl[stats_country_visitors] SET language='$store_language' WHERE ip='$ip_addr'");
}
?>