INSERT INTO xcart_modules (module_name, module_descr, active) VALUES ('IP_Range','This module recognizes the country where the customer is comming from. It could be used in combination with multilanguage and multicurrency modules. It also records a customers per countries statistic.','Y');

--
-- Table structure for table xcart_ip_ranges
--

DROP TABLE IF EXISTS xcart_ip_ranges;
CREATE TABLE xcart_ip_ranges (
  start bigint(11) NOT NULL default '0',
  end bigint(11) NOT NULL default '0',
  iso2 char(2) default NULL,
  PRIMARY KEY  (start,end)
)  TYPE=MyISAM;


DROP TABLE IF EXISTS xcart_country_languages;
CREATE TABLE `xcart_country_languages` (
  `code` char(2) NOT NULL default '',
  `language` char(2) NOT NULL default '',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS xcart_stats_country_visitors;
CREATE TABLE IF NOT EXISTS `xcart_stats_country_visitors` (
  `date` int(11) NOT NULL default '0',
  `country` char(2) NOT NULL default '',
  `ip` char(19) NOT NULL default '',
  `language` char(3) default NULL,
  `currency` char(3) default NULL
) TYPE=MyISAM;

CREATE TABLE IF NOT EXISTS `xcart_stats_robots` (
  `date` int(11) NOT NULL default '0',
  `country` char(2) NOT NULL default '',
  `ip` varchar(19) NOT NULL default '',
  `language` char(3) default NULL,
  `http_host` varchar(64) NOT NULL default '',
  `name` varchar(255) NOT NULL
) TYPE=MyISAM;

REPLACE INTO `xcart_countries` (`code`, `code_A3`, `code_N3`, `region`, `charset`, `active`, `fedex_zone`, `display_states`) VALUES 
('ME', 'MNE', 893, 'EU', 'iso-8859-1', 'Y', '', ''),
('RS', 'SRB', 891, 'EU', 'iso-8859-1', 'Y', '', '');